

body, a:link, a:visited {
    color: <?= $customTextColor ?> !important;
}

.page-content a:link, .page-content a:visited {
    color: <?= $customTextColor ?> !important;
}

.main-nav li.has-items ul {
    background-color: <?= $headerMenuBgColor ?>;
}

a:link, a:visited {
    color: <?= $customTextColor ?> !important;
}



footer{
  background:<?= $headerBgColor?>;
}

.primary-header .search-group .search-txt{
  background-color: floralwhite;
}

.page-content{
  margin-left: 2px;
  margin-right: 2px;
}

.model-tab {
  padding: 20px;
}

side{
  font-family: auto;
    float: right;
    font-size: 12px!important;
    margin-top: 10px!important;
    font-weight: 400!important;
}

.rooms{
    font-family: auto;
    float: right;
    font-size: 12px;
    margin-top: 15px;
    font-weight: 500;
}

@media (max-width: 576px) {

#tab-bio .model-details {
		margin-left: 1px!important;
	}


}







/*hat is goigo on media*/
@media (min-width: 1500px) {
    .item-grid.small .item {
        width: 16.6% !important;
    }
}


@media (max-width: 460px) {
    #tab-bio .model-details .detail-item {
        width: 100%;
        text-align: center;
        font-size: 18px;
        padding-top: 5%;
        font-weight: bold;
    }

    #webcams {
    margin-right: -23px !important;
    margin-left: -17px !important;
}

}

/* Stiluri pentru dispozitive mobile */
@media (max-width: 768px) {
  .sidebar.collapse {
    margin-left: -415px;
  }
  /* Adaugă alte stiluri pentru mobile aici */
}

/* Stiluri pentru tablete */
@media (min-width: 769px) and (max-width: 1024px) {
  .sidebar.collapse {
    margin-left: 0;
  }
  /* Adaugă alte stiluri pentru tablete aici */
}

/* Mobile în modul portret */
@media (max-width: 768px) and (orientation: portrait) {
  .sidebar.collapse {
    margin-left: -415px;
  }
  /* Alte stiluri pentru mobile în portret */

  .info-data-time {
    bottom: 106px!important;
  }
  #webcams {
        margin-right: 1px !important;
        margin-left: 3px !important;
    }

}

/* Mobile în modul peisaj */
@media (max-width: 768px) and (orientation: landscape) {
  .sidebar.collapse {
    margin-left: 0;
  }


  /* Alte stiluri pentru mobile în peisaj */
}




@media (min-width: 769px) and (max-width: 1024px) and (orientation: portrait) {
  #tab-bio .tab-wrapper .model-preview {
    min-width: 430px;
    width: 100%; /* Ensures the element takes available width */
    max-width: none; /* Removes any max-width restrictions */
  }
}




/* Tablete în modul portret */
@media (min-width: 769px) and (max-width: 1024px) and (orientation: portrait) {
  .sidebar.collapse {
    margin-left: -350px;

  }
  .info-data-time {
    bottom: 150px;
  }
  #sidebar{
    margin-top: 75px; 
  }
  /* Alte stiluri pentru tablete în portret */
}

/* Tablete în modul peisaj */
@media (min-width: 769px) and (max-width: 1024px) and (orientation: landscape) {
  .sidebar.collapse {
    margin-left: -300px;
  }

  #sidebar {
    margin-top: 1px;
    height: auto!important;
  }

  .info-data-time {
    bottom: 150px;
  }
  /* Alte stiluri pentru tablete în peisaj */
}







@media (max-width: 768px) and (orientation: landscape) {
  /* stiluri pentru dispozitive mobile în mod peisaj */
  .sidebar.collapse {
    margin-left: -415px;
  }
}


@media (max-width: 1024px) {
    .item-grid.small .item {
        width: 32.66%;
    }
}












/*hat is goigo on media*/



#customSelectors.streamray a:link, #customSelectors.streamray input, #customSelectors.streamray select {
    text-decoration: none;
    padding: 5px;
    text-align: center;
    display: inline-block;
    margin: 0 4px 4px 0;
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    float:left;
}   

#customSelectors.streamray input, #customSelectors.streamray select {
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    height: 1.75em;
}   

#customSelectors.streamray #filters p.genders {
    width: 100%;
    background-color: <?= $customBgColor ?> !important;
    border-bottom: none;
    display:block;
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom:0px;
}

#customSelectors.streamray #filters p.genders span {
    padding:0;
    width:96%;
}

#customSelectors.streamray #filters p.genders span a:link{
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    color: <?= $customGendersTextColor ?> !important;
}

#customSelectors.streamray #filters p.genders span a:link.active {
    background-color: <?= $customBgColor ?> !important;
    border-bottom:solid 2px <?= $customHiliteBgColor ?>;
    font-weight: normal;
}

#customSelectors.streamray #filters p {
    overflow:auto;
    margin-left:0px;
    margin-right:0px;
    padding-bottom:8px;
    padding-top:4px;
    border-bottom: 1px solid <?= $customBgColor ?>;
}

#customSelectors.streamray #filters p span {
    padding-bottom: 10px;
    clear:both;
    display:block;
}

#customSelectors.streamray {
    overflow: auto;
    width:100%;
}

#customSelectors.streamray form {
    padding-left:8px;
}

#customSelectors.streamray #filters {
    clear:none;
}

#customSelectors.streamray a:link.active {
    color: <?= $customHiliteTextColor ?> !important;
}   

#sidebar .widget {
   padding: 0 0 0 4px;
}

.sidebar-mobile span {
    width:80%;
}

#customSelectors.streamray #filters {
    display:block !important;
}





/* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling */
/* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling *//* middle Styling */

body{
  background-color: #F2F2F2 !important;
}



.model-details {
    width: 100%;
    
}



.content{
  background-color: #F2F2F2 !important;
}

.page-content, .top-placement  {
    background-color: #F2F2F2 !important;
}



.model-content, .model-box, .model-tab, #chatembed {
    background-color: #F2F2F2 !important;
}


.tab-nav li.active a:link, .tab-nav li.active a:visited {
    background-color: #888888 !important;
    color: black !important;
} 
 


.detail-item {
  padding-top: 1%;
}

#tab-bio .tab-wrapper{
  
}


#tab-bio .model-details .detail-item {
    background-color: #4b4b4b;
 
}




.detail-item, .detail-item a:link, .detail-item a:visited {
  background-color: #888888 !important;
}

/* Sidebar Styling */

.app-sidebar-full-content-scroll-container {
    display: flex;
    flex-flow: column nowrap;
    height: 100%;
    max-height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-color: rgba(248, 248, 248, 0.1) transparent;
    scrollbar-gutter: auto;
    scrollbar-width: thin;
    scrollbar-width: 4px;
    scrollbar-face-color: rgba(248, 248, 248, 0.1);
    scrollbar-track-color: transparent;
}

@media screen and (min-width: 1024px) {
    .app-sidebar-full-content-categories .tag-group-main .model-filter-main-link {
        height: 32px;
    }
}
.app-sidebar-full-content-categories .tag-group-main .model-filter-main-link {
    font-size: 13px;
    font-weight: 500;
    letter-spacing: normal;
    line-height: normal;
    height: 36px;
    padding: 0 10px;
    transition: none;
}
.model-filter-groups .model-filter-main-link {
    align-items: center;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
    left: -10px;
    position: relative;
    text-decoration: none;
    width: 100%;
    display: flex
;
    flex-direction: row;
    transition: 120ms ease-in-out;
}


.app-sidebar-full-content-categories .tag-group-main {
    padding-bottom: 30px;
}

.app-sidebar-full-content-categories .tag-group {
    padding-bottom: 24px;
}
.model-filter-groups>.tag-group {
    box-sizing: border-box;
    padding-bottom: 20px;
    width: 100%;
    font-size: .875rem;
}





.sidebar {
  background-color: #141415;
  align-self: flex-start;
        display: flex;
        flex-direction: column;
        height:auto;
        position: sticky;
        top: 54px;
        max-width: 216px;
        bottom: 54px;
}

.sidebar h3 {
  font-size: 20px;
  font-weight: 700;
  margin-bottom: 15px;
  color: #ffcc00;
  text-transform: uppercase;
  border-bottom: 3px solid #ffcc00;
  padding-bottom: 8px;
}

/* Menu List */
.sidebar ul.no-bullet {
  list-style: none;
  padding: 0;
  margin: 0;
}

.sidebar ul.no-bullet li {
    background: #2a2a3a;
    padding: 10px 15px;
    margin-bottom: 5px;
    margin-top: 10px;
    font-size: 16px;
    font-weight: 900;
    border: 1px solid gray;
    border-radius: 6px;
    transition: all 0.3s ease-in-out;
}

.widget-tabs .tab-block a {
    padding: 0px 0;
}

#sidebar, #sidebar a {
    background-color: <?= $sidebarBgColor?> !important; 
    font-size: 17px;
}

.sidebar ul.no-bullet li a {
  color: #fff;
  text-decoration: none;
  display: block;
  transition: color 0.3s ease-in-out;
}

.sidebar ul.no-bullet li:hover {
  background: #ffcc00;
  color: #1e1e2f;

}

.sidebar ul.no-bullet li:hover a {
  color: #1e1e2f;
}

/* Banners - No Borders, Clean Look */
.sidebar .widget-banner {
  margin-bottom: 20px;
  text-align: center;
}

.sidebar .widget-banner img {
  width: 100%;
  height: auto;
  border-radius: 10px;
  display: block;
  transition: transform 0.3s ease-in-out;
}

.sidebar .widget-banner img:hover {
  transform: scale(1.05);
}

/* Toggle Icon */
.toggle {
  cursor: pointer;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.toggle svg {
  width: 20px;
  height: 20px;
  fill: #ffcc00;
  transition: transform 0.3s ease-in-out;
}

.item:hover .toggle svg {
  transform: rotate(180deg);
}

/* Accordion Menu */
.widget.widget-accordian ul.no-bullet li {
  background: #2a2a3a;
    padding: 5px 9px;
    margin-bottom: 5px;
    margin-top: 10px;
    font-size: 16px;
    font-weight: 900;
    border: 1px solid gray;
    border-radius: 6px;
    transition: all 0.3s ease-in-out;
}
.no-border {
    border: none !important;
}


.widget-accordian ul li .sub-items { 
  margin-left: 0px!important;
}

.widget-accordian ul li .sub-items a{
     padding-top: 5px;
    padding-bottom: 5px;
    font-size: 14px !important;
     text-transform: uppercase;

}
side{
  float: right;
  font-size: 12px;
  font-weight: 900;
}


.no-border-image {
 
    padding: 0px!important;
    margin-bottom: 5px!important;
    margin-top: 10px!important;
    font-size: 16px!important;
    font-weight: 900!important;
    border-radius: 6px!important;
    transition: all 0.3s ease-in-out!important;
    border: none !important;
}

.widget-accordian ul li .item {

    margin-bottom: 0px;
    margin-top: 0px;
   
}
.widget-accordian ul li .item a svg {
    fill: #98dcd5;
    width: 20px;
    height: 17px;
    margin-right: 10px;
}


.widget.widget-accordian .sub-items {
  display: none;
  margin-top: 10px;
}

.widget.widget-accordian .item.active .sub-items {
  display: block;
}

.widget.widget-accordian li:hover {
  background-color: #444;
}

.widget.widget-accordian li a {
  color: #fff;
  text-decoration: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.widget.widget-accordian li a:hover {
  color: #ffcc00;
}

/* Responsive Design */
@media (max-width: 1024px) {
  .sidebar {
    max-width: 100%;
  }

  .sidebar h3 {
    font-size: 18px;
    margin-bottom: 12px;
  }

  .sidebar ul.no-bullet li {
    font-size: 14px;
    padding: 8px 12px;
  }

  .sidebar .widget-banner img {
    max-width: 90%;
    margin: 0 auto;
  }
}


@media (orientation: portrait) {
    #sidebar {
        margin-top: 125px;

    }
}

@media (max-device-width: 800px) {
    #sidebar {
        position: absolute;
        margin-top: 143px;
    }
}



@media (max-width: 768px) {
    .sidebar {
        margin-top: 94px;
        width: 50%;
        padding: 15px;
        height: auto!important;
    }


  .sidebar ul.no-bullet li {
    font-size: 14px;
    padding: 8px 12px;
  }

  .widget.widget-accordian .sub-items {
    padding-left: 20px;
  }
}

@media (max-width: 480px) {
  .sidebar h3 {
    font-size: 16px;
  }

  .sidebar ul.no-bullet li {
    font-size: 12px;
    padding: 6px 10px;
  }

  .sidebar .widget-banner img {
    max-width: 80%;
  }

  .toggle svg {
    width: 16px;
    height: 16px;
  }
}



/*sidebar end css*/


/* Individual preview item (model) */
    .preview {
        position: relative;
        border: 2px solid #ccc; /* Border for the preview box */
        border-radius: 10px 0 0 10px; /* Rounded corners on top-left and bottom-right */
        overflow: hidden; /* Ensure the image fits within the borders */
        background-color: #fff;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Subtle shadow around the box */
        padding: 1px;
        display: flex;
        flex-direction: column; /* Arrange the elements vertically */
        height: 100%;
    }

    /* Image inside the model preview */
   /* Make the image bigger with more space on the left and right */
.preview img {
    width: 100%; /* Ensures it stretches to the full width of the container */
    height: auto; /* Maintains the aspect ratio */
    max-width: 90%; /* Makes the image slightly smaller to add space on the left and right */
    border-radius: 8px; /* Keeps slight rounding on the image corners */
    margin-left: auto; /* Centers the image */
    margin-right: auto; /* Centers the image */
    display: block; /* Ensures the image is a block-level element */
    transition: none !important; /* Disable any transition effect */
    transform: none !important; /* Disable any transform effect (zoom, scale, etc.) */
}
.item-grid .item .item-wrapper .preview img {
height: 240px!important;
max-width: 240px; 
}


.model-time{
    font-size: 12px;
    font-weight: 600;
    margin-top: 3px;
        display: flex;
        flex-direction: column;
        gap: 8px;
        margin-left: 2px;
        margin-right: 2px;
}


    /* Model details under the image */
    .model-details {
        margin-top: 12px;
        display: flex;
        flex-direction: column;
        gap: 8px;
        margin-left: 2px;
        margin-right: 2px;
    }

    /* Model name */
    .model-name {
        font-size: 18px;
        font-weight: bold;
        color: #333;
    }

    /* Age and site display */
    .model-age-site {
        display: flex;
        justify-content: space-between;
        font-size: 14px;
        color: #555;
    }

    .age {
        color: #888;
    }

    .site {
        color: #888;
        font-style: italic;
    }


.time-me{
    color: #888;
}



    /* Status (Live) */
    .model-status {
        text-align: center;
        margin-top: 8px;
    }

    .live-tag {
        background-color: #ff0000; /* Red background for the live status */
        color: white;
        padding: 5px 10px;
        border-radius: 4px;
        font-size: 14px;
        text-decoration: none;
    }

    .live-tag:hover {
        background-color: #cc0000; /* Darker red on hover */
    }

    /* Responsive Design */
    @media (max-width: 768px) {
     
        .model-name {
            font-size: 16px;
        }

        .model-age-site {
            font-size: 12px;
        }

        .live-tag {
            font-size: 12px;
        }
    }

    @media (max-width: 480px) {
        .model-name {
            font-size: 14px;
        }

        .model-age-site {
            font-size: 10px;
        }

        .live-tag {
            font-size: 10px;
        }
    }

    .item-grid .live-tag-Freechat:before {
    position: absolute;
    top: 25px;
    background-color: green !important;
}




.item-grid .live-tag-Group:before {
    position: absolute;
    top: 25px;
    background-color: orange;
}

.item-grid .live-tag-Private:before {
    position: absolute;
    top: 25px;
    background-color: blue;
}

.item-grid .live-tag-Offline:before {
    position: absolute;
    top: 25px;
    background-color: red;
}


.item-grid .live-tag {
  align-items: center;
  padding: 11px 6px;
  position:absolute;
  background: transparent!important;
}
.item-grid .live-tag, .item-grid a.live-tag{
  opacity:1;
  font-size:15px;
}

.item-grid .live-tag, .item-grid a.live-tag-Group{
  color:orange!important;
}

.item-grid .live-tag, .item-grid a.live-tag-Private{
  color:red!important

}


.info-data-time {
    font-size: 12px;
    text-align: center;
    height: 30px;
    position: absolute;
    bottom: 120px;
    border-radius: 0 0 9px 9px;
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    width: 100%;

    /* Center content horizontally & vertically */
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
}


.time-me{
  text-align:center;
}


.model-subject.marquee {
  display: inline-block;
  font-size: 10px;
  white-space: nowrap;
  overflow: hidden;
  font-weight: bold;
  color: black;
  width: 100%;
  box-sizing: border-box;
  position: relative;
  animation-name: marquee;
  animation-timing-function: linear;
  animation-iteration-count: infinite;
}

@keyframes marquee {
  0%   { transform: translateX(100%); }
  100% { transform: translateX(-100%); }
}
.marquee-container {
  width: 200px; /* or whatever size you prefer */
  overflow: hidden;
}






.model-cams-name {
    font-weight: bold; /* Make text bold */
    text-transform: capitalize; /* Capitalize first letter */
}


.item-grid .item .item-wrapper .preview a:after {
    -webkit-transition: none !important;
    -o-transition: none !important;
    transition: none !important;
    content: "";
    display: block;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color:transparent!important;
    position: absolute;
    z-index: 9;
    opacity: 0; /* Keep the opacity at 0 if you want the overlay hidden */
    transform: none !important; /* Disable any transform (e.g., zoom) */
}




/* Remove any hover effect for the .item */
.item-grid .item,
.item-grid .item .item-wrapper .preview,
.item-grid .item .item-wrapper .preview img {
    transition: none !important;  /* Disable any transition effect */
    transform: none !important;   /* Disable any transform effect (zoom, scale, etc.) */
}








/*index page full  banner*/

.event-banner {
    position: relative;
    background: transparent;
    margin-top: 5px;
    margin-right: 4px;
    padding-top: 10%;
    margin-bottom: 10px;
}


.event-banner::before {
    position: absolute;
    content: "";
    background-size: cover;
    background-position: center center;
    padding-top: 10%;
    width: 100%;
   /* width: calc(88vw - 20px);*/
    background-repeat: no-repeat;
    top: 0px;
    left: 50%;
    -webkit-transform: translatex(-50%);
    transform: translatex(-50%);
}




.menuImageTabs {
  height: <?= $menuImageTabsHeight ?? ''; ?>;
  width: <?= $menuImageTabsWidth ?? ''; ?>;
}


/*sidebar labels sites*/
.sub-items{
  width: 100%;
} 

.siteCamsChaturbateLabel {
    width: 100%;
    font-weight: bold;
    text-align: center;
    padding: 10px 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    margin: 0 auto;
    display: inline-block;
    background: <?= $bodyBackColor ?>; 
    color: <?= $pageTextDescription ?>; 
}

/*sidebar labels sites*/
/*webcams chat - sc*/

#chat-sc {
  height: 250px;
  bottom: 0;
  opacity: 0.6;
  width: 496px;
  right: 0;
  border: 2px solid <?= $navbarBGColor?>;
  border-radius: 7px;
}

/* Media query for tablets */
@media only screen and (max-width: 768px) {
  #chat-sc {
    height: 190px;
    width: 60%; /* Adjust width for tablets */
    border-right: none; /* Removes border on the right */
    border-left: none; /* Removes border on the left */
    border-bottom: none; /* Removes border on the bottom */
  }
}

/* Media query for mobile */
@media only screen and (max-width: 480px) {
  #chat-sc {
    height: 130px;
    width: 60%; /* Adjust width for mobile */
    border: none; /* Removes border completely */
    border-radius: 0; /* Removes border radius */
  }
}


/*webcams chat - sc*/

/*home embed wide*/


.home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW {
    width: 100%;
    height: 177px; /* Adjust this height as needed */
    padding-bottom: 45%; /* Adjust this value based on your design */
    text-align: left;
    border-radius: 16px;
    position: relative;


        background: <?= $embedWideBackgrownd ?? ''; ?>!important;

}


.embedWide{
  color:<?= $embedWideTextColor ?? '';?>;
}



.home-top-banner_container__o_SUU .home-top-banner_banner__UVDBW .home-top-banner_effect__UC_mf {
  background: linear-gradient(90deg, <?= $embedWideBackgrownd ?? '#000'; ?>, <?= $embedWideBackgrownd ?? '#000'; ?> 50%, hsla(0, 0%, 99%, 0)) !important;
    border-radius: 16px;
    width: 60%;
    height: 100%;
    position: absolute;
    left: 0;
}

/*home embed wide*/










@media (min-width: 1200px) {
    body.toggle-left-side-nav .promo-label-sidebar {
        display: none !important;
    }
}


@media (min-width: 1200px) {
    body.toggle-left-side-nav .sidebarMenuList {
        display: none !important;
    }
}





/* featured models*/
.index-module__flagNew--MIAcu {
    height: 50px;
    overflow: hidden;
    position: absolute;
    right: 0;
    text-align: right;
    text-transform: uppercase;
    top: 0;
    width: 100%;
    z-index: 3;
}
.index-module__flagNew--MIAcu span {
    background-color: <?= $featureModelBackground?>;
    box-shadow: 0 3px 10px -5px #000;
    color: var(--cs-primary-text,var(--cs-gray-FF));
    display: block;
    font-size: 10px;
    color:<?= $featureModelColor ?>;
    font-weight: 700;
    line-height: 17px;
    position: absolute;
    right: -26px;
    text-align: center;
    top: 5px;
    transform: rotate(45deg);
    width: 80px;
}



@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: scale(1);
    }
    40% {
        transform: scale(1.2);
    }
    60% {
        transform: scale(1.1);
    }
}

.dynamic {
    display: inline-block;
    animation: bounce 2s ease-in-out infinite; /* Adjust the duration and timing function as needed */
}


/* featured models*/



.featured-label {
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: #ff6347; /* Tomato color for the label */
    color: white;
    padding: 5px 10px;
    border-radius: 10px;
    font-weight: bold;
    font-size: 8px; /* Smaller size */
    text-transform: uppercase;
    z-index: 10;

    /* Rotation */
    transform: rotate(-20deg);
    
    /* Slight tilt or shadow effect */
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.2); /* Shadow for depth */
    opacity: 0.9; /* Slight transparency */
    transition: all 0.3s ease-in-out; /* Smooth transition for effects */
}

/* Optional hover effect */
.featured-label:hover {
    transform: rotate(0deg); /* Reset the rotation on hover */
    opacity: 1; /* Full opacity on hover */
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3); /* Slightly larger shadow */
}




/*model country index */
.badge-best-nearby {
  position: absolute;
  top: 100px;
  left: -55px;
    background-color: #e91e63;
    color: white;
    padding: 4px 8px;
    font-size: 11px;
    font-weight: bold;
    border-radius: 4px;
    transform: rotate(90deg);
    z-index: 2;
    box-shadow: 0 1px 5px rgba(0, 0, 0, 0.2);
    white-space: normal;
    display: inline-block;
    width: auto;
    text-align: center;
    word-wrap: break-word;
}
/* Optional hover effect */
.badge-best-nearby:hover{
    transform: rotate(285deg); /* Reset the rotation on hover */
    opacity: 1; /* Full opacity on hover */
    box-shadow: 4px 4px 10px rgba(0, 0, 0, 0.3); /* Slightly larger shadow */
}

/*model country index */




/*meniu */


/* Base styling */
.menu-header.headermenu-desktop {
  background: <?= $headerMenuBgColor;?>;
  padding: 10px 20px;
  font-family: Arial, sans-serif;
  z-index: 1000;
}

.menu-header .main-nav {
  list-style: none;
  display: flex;
  gap: 20px;
  align-items: center;
  margin: 0;
  padding: 0;
}

.menu-header .main-nav > li {
  position: relative;
}

.menu-header .main-nav > li > a {
  color: #fff;
  text-decoration: none;
  padding: 10px 15px;
  display: block;
  transition: background 0.3s ease;
  font-weight: bold;
}

.menu-header .main-nav > li > a:hover {
  background: #333;
  border-radius: 5px;
}

/* Dropdown styling */
.menu-header .main-nav li ul {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background: #2a2a2a;
  list-style: none;
  padding: 10px 0;
  min-width: 180px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.4);
  z-index: 999;
}

.menu-header .main-nav li:hover > ul {
  display: block;
}

.menu-header .main-nav li ul li a {
  color: #fff;
  padding: 8px 15px;
  display: block;
  text-decoration: none;
  transition: background 0.3s ease;
  white-space: nowrap;
}

.menu-header .main-nav li ul li a:hover {
  background: #444;
}

/* Responsive consideration */
@media (max-width: 768px) {
  .menu-header.headermenu-desktop {
    display: none;
  }
}



/*profil page>*/


@media (min-width: 769px) {
  #tab-bio .tab-wrapper .model-preview {
    min-width: 350px;
   
  }

  #tab-bio .tab-wrapper .model-preview img {
    width: 100%; /* Ensure the image inside scales with the container */
    height: auto; /* Maintain the aspect ratio */
  }
}




@media (max-width: 768px) {
.model-details{
  width: 100%;
}
.detail-item{
  width: 100%;
    margin-left: 0px;
    margin-right: 50px;
}

#tab-bio .model-details .detail-item{
  width: 100%;
}




}



/*featured config  models*/ 



.menuImageClass{
  height: <?= $menuImageHeight?>;
  width:<?= $menuImageWidth?>;
  margin-top: <?= $menuImageTopMargin?>;
  margin-right: 3px;
}




.emoji-image{
  height:<?=$modelsScrollingLEmoticonsHeight?>;
  width:<?=$modelsScrollingLEmoticonsHeight?>;
}




.promo-label-menu {
    transform: <?= $promoLabelRotate?>;
    background: <?= $promoLabelBackground?>;
    font-size: <?= $promoLabelFontSize?>px;
    position: absolute;
    border-radius: <?= isset($promoLabelBorderRadius) ? $promoLabelBorderRadius : ''; ?>;
    right: -5px;
    border: <?= isset($promoLabelborder) ? $promoLabelborder : ''; ?>;
    top: <?= $promoLabelMarginTop?>;
    font-weight: bold;
    padding: 1px 2px;
    line-height: 10px;
    color: <?= $promoLabelColor?>;
    
}


