
<style>

.row {
    display: block;

    position: relative;
    margin-right: -15px;
    margin-left: -15px;
}

.box.album {
    /* z-index: 0; */
    position: relative;
    background-color: var(--background-white);
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2);
    border: 0 solid var(--black-800);
    border-radius: 10px !important;
    transition: box-shadow .1s linear;
}

.box .media-container {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 80%;
    border-radius: 0px 120px 0 0;
    overflow: hidden;
    margin-bottom: 0;
    float: left !important;
    background-color: var(--black-70);
    -webkit-animation: bg-animation-grey 10s infinite;
    animation: bg-animation-grey 10s infinite;
    <?php if ($zodiacModelImageBorder == 1): ?>
        border: 2px solid <?= $navbarBGColor ?>;
    <?php endif; ?>
}





	.zodiac_images{
		width:20px;
		height:20px;
		margin-left:-10px;
	}
	#infinite-content{
		text-align: center!important;
	}
	#models-content{
		display: contents!important; 
	}
	.zodiac-sign,
.zodiac-sign:hover {
    text-decoration: none; /* Remove underline on normal and hover states */
    pointer-events: none;  /* Disable pointer events for hover effect */
}
	
    .model-container {
        display: inline-block;
        border: 1px solid #ddd; /* Add your preferred border style */
        margin: 10px; /* Add your preferred margin */
        position: relative;
        background: <?= $customHiliteBgColor?>;
        border-radius: 0px 44px 0 0;

    }

    .nickname-container {
        position: absolute!important;
        bottom: 0!important;
        left: 0!important;
        width: 100%!important;
        background-color: <?= $customHiliteBgColor?>;
        color:<?= $tabsCategoriesMenuColor?> ;
        padding: 5px!important; /* Add your preferred padding */
        text-align: center!important; /* Center the text */
    }
	.infinite-page:not(.no-thing-box-grid), .thing-box-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(260px,1fr))!important;
    grid-gap: 10px;
    margin: 5px 5px 10px;
}
.misi {
    transform: rotate(42deg);
   
    font-size: 10px;
    position: absolute;
    right: 5px;
    top: 17px;
    font-weight: bold;
    padding: 1px 2px;
    line-height: 10px;
    color: <?=$headerMenuBgColor?>;
}
.small-site{
    color: <?=$headerMenuBgColor?>;
    font-size: 70%;
}
.popular-header {
text-align: center;
}

/* Add this style to highlight the selected zodiac button */
.zodiac-btn.selected {
    background-color: <?= $customHiliteBgColor?>;
    color: <?= $customHiliteBgColor?>; /* Change text color if needed */
}

/* Add this style to give a visual indication when hovering over zodiac buttons */
.zodiac-btn:hover {
    background-color: #e0e0e0; /* Change color to your preference */
    cursor: pointer;
}

/* Add any other styles for your zodiac buttons here */
.zodiac-btn {
    /* Your existing styles for unselected zodiac buttons */
    padding: 5px 10px;
    background-color: #e0e0e0; 
    margin: 5px;
    border: 1px solid #ccc;
}
</style> 



<?php


 $statusMap = array('o' => 'Offline', 'a' => 'Away', 'f' => 'FreeChat', 'g' => 'Group', 'p' => 'Private');
  // Default to status if not found




  function getFontAwesomeClassForZodiacSign($zodiacSign, $zodiacVersion) {
    // Map each zodiac sign to a Font Awesome icon class
    $iconClasses = [
        'Aries' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Aries_Berbec.png" class="zodiac_images">', 
        'Taurus' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Taurus_Taur.png" class="zodiac_images">',
        'Gemini' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Gemini_Gemeni.png" class="zodiac_images">',
        'Cancer' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Cancer_Rac.png" class="zodiac_images">',
        'Leo' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Leo_Leu.png" class="zodiac_images">',
        'Virgo' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Virgo_Fecioara.png" class="zodiac_images">',
        'Libra' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Libra_Balanta.png" class="zodiac_images">',
        'Scorpio' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Scorpio_Scorpion.png" class="zodiac_images">',
        'Sagittarius' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Sagittarius_Sagetator.png" class="zodiac_images">',
        'Capricorn' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Capricorn_Capricorn.png" class="zodiac_images">',
        'Aquarius' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Aquarius_Varsator.png" class="zodiac_images">',
        'Pisces' => '<img src="/share/zodiacImages/zodii ' . $zodiacVersion . '/Pisces_Pesti.png" class="zodiac_images">'
    ];

    // Return the corresponding icon class for the given zodiac sign
    return isset($iconClasses[$zodiacSign]) ? $iconClasses[$zodiacSign] : '<img src="/share/zodiacImages/default.png" class="zodiac_images">';
}












function getZodiacSign($birthdayTimestamp) {
    $monthDay = date("md", $birthdayTimestamp);
    
    if (($monthDay >= "0321" && $monthDay <= "0419")) {
        return "Aries";
    } elseif (($monthDay >= "0420" && $monthDay <= "0520")) {
        return "Taurus";
    } elseif (($monthDay >= "0521" && $monthDay <= "0620")) {
        return "Gemini";
    } elseif (($monthDay >= "0621" && $monthDay <= "0722")) {
        return "Cancer";
    } elseif (($monthDay >= "0723" && $monthDay <= "0822")) {
        return "Leo";
    } elseif (($monthDay >= "0823" && $monthDay <= "0922")) {
        return "Virgo";
    } elseif (($monthDay >= "0923" && $monthDay <= "1022")) {
        return "Libra";
    } elseif (($monthDay >= "1023" && $monthDay <= "1121")) {
        return "Scorpio";
    } elseif (($monthDay >= "1122" && $monthDay <= "1221")) {
        return "Sagittarius";
    } elseif (($monthDay >= "1222" && $monthDay <= "0129") || ($monthDay >= "0123" && $monthDay <= "0129")) {
        return "Capricorn";
    } elseif (($monthDay >= "0120" && $monthDay <= "0218")) {
        return "Aquarius";
    } elseif (($monthDay >= "0219" && $monthDay <= "0320")) {
        return "Pisces";
    } else {
        return "Unknown";
    }
}
$models_cb = \Avos\Database\queryAssoc("SELECT * FROM webcams WHERE status != 'o' AND gender != 'm' AND site = 'cb' ORDER BY RAND() LIMIT 2500");
$models_sc = \Avos\Database\queryAssoc("SELECT * FROM webcams WHERE status != 'o' AND gender != 'm' AND site = 'sc' ORDER BY RAND() LIMIT 2500");

// Combine models from both sites
$combinedModels = [];

// Interleave models from 'cb' and 'sc'
$i = 0;
$j = 0;
while ($i < count($models_cb) || $j < count($models_sc)) {
    if ($i < count($models_cb)) {
        $combinedModels[] = $models_cb[$i];
        $i++;
    }
    if ($j < count($models_sc)) {
        $combinedModels[] = $models_sc[$j];
        $j++;
    }
}

shuffle($combinedModels);

// Now $combinedModels contains an interleaved mix of models from 'cb' and 'sc'
$models = array_slice($combinedModels, 0, 5000);



//print_r($models );
// Load and display models for a default zodiac sign on page load
// Load and display models for a default zodiac sign on page load
$defaultZodiacSign = 'Aries'; // Change this to the desired default zodiac sign
//echo '<script>window.onload = function() { filterModels("' . $defaultZodiacSign . '"); }</script>';
?>



<div class="popular-header p0"><?= $zodiacPageTitle;?> </div> 

<!-- Display icons for each zodiac sign -->
<div id="infinite-content">
    <?php
    $zodiacCounts = array();

    foreach ($models as $model) {
        $zodiacSign = getZodiacSign($model['birthday']);

        // Skip models with "Unknown" zodiac sign
        if ($zodiacSign !== 'Unknown') {
            // Increment count for the zodiac sign
            if (!isset($zodiacCounts[$zodiacSign])) {
                $zodiacCounts[$zodiacSign] = 1;
            } else {
                $zodiacCounts[$zodiacSign]++;
            }
        }
    }
    ?>

<?php
    // Display zodiac signs along with count and add onclick event
    foreach ($zodiacCounts as $zodiacSign => $count) {
        // Replace 'fa-icon' with the desired Font Awesome icon class for each zodiac sign
        $iconClass =  getFontAwesomeClassForZodiacSign($zodiacSign, $zodiacVersion);
        ?>
      <span class="btn btn-grey btn-sm mt10 adsone zodiac-btn" data-sign="<?= $zodiacSign ?>" onclick="filterModels('<?= $zodiacSign ?>')" style="text-align: center;">
    <?= $iconClass ?> <strong><?= $zodiacSign ?></strong>
</span>

        <?php
    }
    ?>

<!-- Display nicknames for models with the selected zodiac sign -->
<div class="row thing-box-container">
<div id="infinite-content">
      <div class="infinite-page clearfix " style="margin: 5px 16px 10px!important;">
    <!-- Display models for the default zodiac sign -->
  <!-- Display models for the default zodiac sign -->
  <div id="models-content" class="box album with-username loaded">
        <?php
        function mapSiteAbbreviation($abbreviation)
        {
            $siteMap = [
                'bc' => 'BongaCams',
                'cb' => 'Chaturbate',
                'cs' => 'CamSoda',
                'ff' => 'Flirt4Free',
                'sc' => 'StripChat',
                'sr' => 'Streamray',
                'lj' => 'LiveJasmin',
                'sm' => 'Streamate',
                'il' => 'ImLive',
                'so' => 'SoulCams',
                'cr' => 'Cherry',
            ];
        
            // Convert to lowercase to ensure case-insensitive matching
            $abbreviation = strtolower($abbreviation);
        
            return $siteMap[$abbreviation] ?? $abbreviation;
        }
        $modelsToShow = 20;
        $modelsDisplayed = 0;
        foreach ($models as $m) {
            
            
            $m['site'] = mapSiteAbbreviation($m['site']);
            $statusLabel = $statusMap[$m['status']] ?? $m['status'];
            $zodiacSignModel = getZodiacSign($m['birthday']);
            if ($zodiacSignModel == $defaultZodiacSign && $modelsDisplayed < $modelsToShow) {
                echo '<div class="model-container"><bageme class="misi">'.  $statusMap[$m['status']] .'</bageme><a href="' . strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : ''), $m)) . '" class="media-container">';
                echo '<img src="' . $m['imageUrl'] . '" class="default-thumbnail" title="' . $m['title'] . '" alt="' . $m['nickname'] . ' from ' . $m['site'] . ' is ' . $m['status'] . '">';
                echo '<div class="nickname-container">' . ucwords($m['nickname']) . ' <small class=\'small-site\'>from ' . ucwords($m['site']) . '</small> </div></a></div>';
                $modelsDisplayed++;
            }
        }
        ?>
    </div>

</div>

<!-- Script for handling zodiac sign click event -->
<!-- Script for handling zodiac sign click event -->
<script>
    // Variable to track whether the initial models are loaded
    var initialModelsLoaded = false;

    // Function to load models for the selected zodiac sign
    function loadModels(selectedSign) {
        var modelsContent = document.getElementById("models-content");
        modelsContent.innerHTML = '';

        <?php
        $modelsDisplayed = 0;
        foreach ($models as $m) {
			 
            $zodiacSignModel = getZodiacSign($m['birthday']);
            echo 'if ("' . $zodiacSignModel . '" === selectedSign && ' . $modelsDisplayed . ' < ' . $modelsToShow . ') {';
            echo 'modelsContent.innerHTML += "<div class=\'model-container\'><a href=\'' . strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)) . '\' class=\'media-container\'>';
            echo '<img src=\'' . ($m['imageUrl']) . '\' class=\'default-thumbnail\' title=\'' . $m['title'] . '\' alt=\'' . $m['nickname'] . '\'>';
            echo '<div class=\'nickname-container\'>' . $m['nickname'] . ' </div></a></div>";';
            echo $modelsDisplayed . '++;';
            echo '}';
        }
        ?>
    }

    // Function to handle zodiac sign click event
    function filterModels(selectedSign) {
        var modelsContent = document.getElementById("models-content");

        // Check if initial models are already loaded
        if (!initialModelsLoaded) {
            initialModelsLoaded = true;
            // Load more models for the default zodiac sign
            loadModels('<?= $defaultZodiacSign ?>');
        } else {
            // Load models for the selected zodiac sign
            loadModels(selectedSign);
        }
    }
</script>

</div>







<!-- Display nicknames for models with the selected zodiac sign -->
<div id="models-content"  class="box album with-username loaded" style="display: contents!important;">
    <?php
    foreach ($displayedModels as $m) {
        $zodiacSignModel = getZodiacSign($m['birthday']);
        
        // Display nicknames only for models with the "Unknown" zodiac sign
        if ($zodiacSignModel == 'Unknown') {
            echo $m['nicksname'] . ' ';
		
        }
    }
    ?>


<!-- Script for handling zodiac sign click event -->
<script>
    
    function filterModels(selectedSign) {
    var modelsContent = document.getElementById("models-content");
    modelsContent.innerHTML = '';

    // Get all elements with the class 'zodiac-btn' (change it to the actual class you're using)
    var zodiacButtons = document.getElementsByClassName('zodiac-btn');

    // Remove 'selected' class from all zodiac buttons
    for (var i = 0; i < zodiacButtons.length; i++) {
        zodiacButtons[i].classList.remove('selected');
    }

    <?php
    $ass = 'pila';
        foreach ($models as $m) {

        $m['site'] = mapSiteAbbreviation($m['site']);
        $zodiacSignModel = getZodiacSign($m['birthday']);
        echo 'if ("' . $zodiacSignModel . '" === selectedSign) {';
        echo 'modelsContent.innerHTML += "<div class=\'model-container\'><bageme class=\'misi\'>'.  $statusMap[$m['status']] .'</bageme><a href=\'' . strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)) . '\' class=\'media-container\'>';
        echo '<img src=\'' . ($m['imageUrl']) . '\' class=\'default-thumbnail\' title=\'' . $m['title'] . '\' alt=\'' . $m['nickname'] . ' from ' . $m['site'] . ' is ' . $m['status'] . '\'>';
        echo '<div class=\'nickname-container\'>' . ucwords($m['nickname']) . '  <small class=\'small-site\'>from ' . ucwords($m['site']) . '</small></div></a></div>";';

        // Add 'selected' class to the clicked zodiac button
        echo 'var clickedZodiacBtn = document.querySelector(\'[data-sign="\' + selectedSign + \'"]\');';
        echo 'if (clickedZodiacBtn) { clickedZodiacBtn.classList.add(\'selected\'); }';

        echo '}';


        
    }


    ?>
}

</script>





</div>

</div></div></div>






